<!DOCTYPE html>
<html layout:decorator="lecturer/index"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org">
<body>

<main layout:fragment="main">

    <div class="container">
        <h1 th:text="${course.getSubject().getName()} + ' - ' + #{lecturer.courses.feedback}"></h1>
        <h4 th:text="${course.getSemester().getLabel()} + ', ' + ${course.getSubject().getEcts()} + ' ECTS'"></h4>

        <ul class="collection z-depth-1">
            <li class="collection-item" th:if="${#lists.isEmpty(feedbacks)}"
                th:text="#{lecturer.courses.feedback.zero}"></li>

            <li class="collection-item" th:each="feedback : ${feedbacks}">
                <div class="title">
                    <i class="teal-text material-icons"
                       th:if="${feedback.getType() == T(at.ac.tuwien.inso.sqm.entity.Feedback.Type).LIKE}">thumb_up</i>
                    <i class="teal-text material-icons"
                       th:if="${feedback.getType() == T(at.ac.tuwien.inso.sqm.entity.Feedback.Type).DISLIKE}">thumb_down</i>
                </div>
                <div>
                    <span class="feedback-content" th:text="${feedback.getSuggestions()}"></span>
                </div>
            </li>
        </ul>
    </div>

</main>

</body>
</html>
